## org.ascape.query
Class BooleanOperator

    java.lang.Object
      org.ascape.query.BooleanOperator

    public abstract class BooleanOperator

extends java.lang.Object

AND and OR accept a list of lists, and then applies the requested operation on the contents of the lists.

Field Summary
`static BooleanOperator` `AND`
`static BooleanOperator` `OR`

Constructor Summary
`BooleanOperator()`

Method Summary
`abstract java.util.List` `operate(java.util.List initialResults)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AND

    public static BooleanOperator AND

### OR

    public static BooleanOperator OR

Constructor Detail

### BooleanOperator

    public BooleanOperator()

Method Detail

### operate

    public abstract java.util.List operate(java.util.List initialResults)